So, this had a while to stew, and we thought we should push a new build to CurseForge.


Server download


Client download


EDIT: I know this is late and some of you might already have hit it, but you will need Java 8 to runĀ build 1330.

3 comments on “Announcing Forge Essentials Build 1330 for 1.7.10

Leave a Reply

Your email address will not be published. Required fields are marked *